Subject: Re: OpenGL, -mno-cygwin AND GLUT
From: Andre Bleau <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Fri, 16 Feb 2001 16:41:16 -0500

>First of all, thanks for the fix Andre.  However, I have a new problem 
>related to GLUT.  I tried looking again through the archives, but no beans.
>
>#gcc code.C -I /usr/include -lopengl32 -lglu32 -lglut32
>
>works fine.  But,
>
>#gcc -mno-cgywin code.C -I /usr/include -lopengl32 -lglu32 -lglut32
>
>gives undefined references to '__glutInitWithExit@12', 
>'__glutCreateWindowWithExit@8' and '__glutCreateMenuWithExit@8'.
>
>I was thinking either I needed to include the -mwindows flag, but that 
>didn't help, neither did using g++ and I couldn't find a similar hack for 
>glut.h like the one you gave for gl.h, which also worked for glu.h by the 
>way.  Thanks,
>
>Shawn
>
>PLEASE CC TO [email-masked] I AM NOT A MEMBER OF THE LIST.

If you have the latest gcc for Cygwin, that is 2.95.2-7 (you can check with 
gcc -v), and you compile programs using glut with -mno-cygwin, you must 
also use -mwin32.

BTW, your linking order is incorrect. From /usr/doc/opengl-1.1.0/README.txt:

         Linking of code calling OpenGL, GLU, GLUT
         -----------------------------------------

         Add -lglut32 -lglu32 -lopengl32 to your link command.

Always link with the highest-level librairies first, the more basic ones last.

Instructions for compiling glut/glu/openGL programs with -mno-cygwin will 
be added in the README file of the next release of the package.

André Bleau, ing., associé de recherche
[email-masked]

Laboratoire de recherche en Imagerie et en Orthopédie
École de Technologie Supérieure

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple